<template>
  <v-toolbar tile dense>
    <v-btn depressed large tile @click="() => this.$emit('menu-add-particle')" :disabled="disableAddBtn">
      <v-icon color="#c95bc9">
        mdi-plus-circle-multiple-outline
      </v-icon>
      <div style="width: 7px"> &nbsp;</div>
      Add particle
    </v-btn>
    <v-btn depressed large tile @click="() => this.$emit('menu-add-circle')" :disabled="disableAddBtn">
      <v-icon color="#60b57b">
        mdi-circle-outline
      </v-icon>
      <div style="width: 7px"> &nbsp;</div>
      Add Circle
    </v-btn>
  </v-toolbar>
</template>

<script>
import {AppContext} from '@Util'

export default {
  name: 'Grid',
  data: () => ({
    particleMode: 'particle',
  }),
  computed: {
    disableAddBtn() {
      return AppContext.simOn
    }
  }
}
</script>
